import { httpApp } from "@/plugins/axiosIndex";
import { pickBy } from "lodash-es";
import { object2QueryString } from "@/utils/utils";

export function searchCourses({
  examId = "",
  courseName = "",
  enable = "",
  pageNumber = 1,
  pageSize = 10,
}) {
  const data = pickBy(
    { examId, courseName, enable, pageNumber, pageSize },
    (v) => v !== ""
  );
  if (data.examId)
    return httpApp.post(
      "/api/admin/exam/course/query?" + object2QueryString(data)
    );
}
